![Oracle Logo](https://raw.githubusercontent.com/oracle/dotnet-db-samples/master/images/oracle-nuget.png) 
# Oracle.ManagedDataAccess.Core 23.9.0
Release Notes for Oracle Data Provider for .NET Core NuGet Package

June 2025

Oracle Data Provider for .NET (ODP.NET) Core features optimized ADO.NET data access to the Oracle database for .NET (Core) runtime. ODP.NET allows developers to take advantage of advanced Oracle database functionality, including AI vectors, Real Application Clusters, Application Continuity, JSON Relational Duality, and Fast Connection Failover. 

This document provides information that supplements the [Oracle Data Provider for .NET (ODP.NET) documentation](https://docs.oracle.com/en/database/oracle/oracle-database/23/odpnt/index.html).

## Oracle .NET Links
* [Oracle .NET Home Page](https://www.oracle.com/database/technologies/appdev/dotnet.html)
* [GitHub - Sample Code](https://github.com/oracle/dotnet-db-samples)
* [ODP.NET Discussion Forum](https://forums.oracle.com/ords/apexds/domain/dev-community/category/odp-dot-net)
* [YouTube](https://www.youtube.com/user/OracleDOTNETTeam)
* [X (Twitter)](https://twitter.com/oracledotnet)
* [Email Newsletter Sign Up](https://go.oracle.com/LP=28277?elqCampaignId=124071&nsl=onetdev)

## New Features
* Distributed Transaction Support (Windows Only)
* Binary Sparse Vector Support
* OracleBulkCopy Support with Vector Column Datatype* New OracleDatabase Properties
* PEM File Support
* Certificate Selection Support using SHA2-based Thumbprint 
* New OpenTelemetry server roundtrip-based attributes
* TLS_VERSION Support with "+"
* TLS_EXCLUDE_VERSIONS Support

## Bug Fixes since Oracle.ManagedDataAccess.Core 23.8.0
* Bug 37419098 - FIRST CONNECTION TIMES OUT OR ENCOUNTERS EXCEPTIONS WITH USEHOUROFFSETFORUNSUPPORTEDTIMEZONE ENABLED 
* Bug 37529604 - NOT ABLE TO RECEIVE CHANGE NOTIFICATION IN CIC MODE 
* Bug 37834607 - "NETWORK IS UNREACHABLE" EXCEPTION IS ENCOUNTERD WHEN SOURCE_ROUTE IS USED AND HOSTNAME RESOLVES TO AN INVALID IP ADDRESS
* Bug 37860610 - OPENTELEMETRY: ADD A NEW TAG TO DISPLAY ROWS FETCHED FROM DB
* Bug 37873494 - OPENWITHNEWPASSWORD FOR SYS USER AS SYSDBA GETS ORA-28009 
* Bug 37915391 - POOR DATA RETRIEVAL PERFORMANCE FOR HIGH PRECISION NUMBERS
